# Get multiple shipments

> Shipment Management API, POST /public/shipments/search: Endpoint that searchs for shipments in the web application and returns the public shipment link.

`POST /public/shipments/search` on the Shipment Management API. Base URL: `https://api.sinay.ai/safecube/api/v1`.

Endpoint that searchs for shipments in the web application and returns the public shipment link.

## Request body

`application/json`, required.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `shipmentNumbers` | array of string | Yes | — |

::api-request-body
Example request body:

```json
{
  "shipmentNumbers": [
    "HLCUBO12208AXHI9"
  ]
}
```
::

## Responses

::api-response
---
status: "200"
description: Successful response
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `results` | array of object | No | — |
| `results[].id` | string (uuid) | No | The shipment uuid is a unique identifier of the shipment in your application. This field can be reused as an input for the DELETE /shipments endpoint. |
| `results[].shipmentNumber` | string | No | The shipment number is a container number, Booking number or Bill of Lading number. |
| `results[].sealine` | string | No | The SCAC code is a 4 letters code that is used to identify a sealine. Find all supported sealines in the [supported sealines guide](https://docs.safecube.ai/en/api/container-tracking/guides/supported-sealines). |
| `results[].sealineName` | string | No | Full text sealine name. |
| `results[].link` | string (uri) | No | Shipment public sharing link. Share it with someone to show him all the shipment data, without any login needed. It can also be used for iframe integration. |
| `notFoundResults` | array of string | No | If you search for a shipment that does not exist in your web application, it will appear in this list. |

Example response body:

```json
{
  "results": [
    {
      "id": "55aa63de-f8f6-41ac-a105-4f3bfb015bea",
      "shipmentNumber": "GCXU5630216",
      "sealine": "COSU",
      "sealineName": "COSCO",
      "link": "https://app.safecube.ai/shared/shipment?token=85070eb8-1387-47cb-be2e-f05323ebab45"
    }
  ],
  "notFoundResults": []
}
```

::

::api-response
---
status: "204"
description: No Content (shipments not found or empty)
---

No body.

::
